Imports System.IO
Imports EgtUILib
Imports EgtWPFLib

Public Class SlabIdWD

   ' Riferimento alla MainWindow
   Private m_MainWindow As MainWindow = DirectCast(Application.Current.MainWindow, MainWindow)
   Private m_sBlockName As String = ""
   Private m_sSlabNbr As String = ""

   Sub New(Owner As Window)
      Me.Owner = Owner
      InitializeComponent()
   End Sub

   Friend Sub SetBlockName( sBlock As String)
      m_sBlockName = sBlock
   End Sub

   Friend Function GetBlockName() As String
      Return m_sBlockName
   End Function

   Friend Sub SetSlabNbr( sSlab As String)
      m_sSlabNbr = sSlab
   End Sub

   Friend Function GetSlabNbr() As String
      Return m_sSlabNbr
   End Function

   Private Sub SlabIdWD_Initialized(sender As Object, e As EventArgs) Handles Me.Initialized
      Me.Top = Owner.Top + Owner.Height / 2 - Me.Height / 2
      Me.Left = Owner.Left + Owner.Width / 2 - Me.Width / 2
      BlockNameTxBl.Text = EgtMsg(90882)     'Blocco
      SlabNbrTxBl.Text = EgtMsg(90883)       'Numero
   End Sub

   Private Sub SlabIdWD_Loaded(sender As Object, e As EventArgs) Handles Me.Loaded
      BlockNameTxBx.Text = m_sBlockName
      SlabNbrTxBx.Text = m_sSlabNbr
   End Sub

   Private Sub OkBtn_Click(sender As Object, e As RoutedEventArgs) Handles OkBtn.Click
      m_sBlockName = BlockNameTxBx.Text
      m_sSlabNbr = SlabNbrTxBx.Text
      DialogResult = True
   End Sub

   Private Sub ExitBtn_Click(sender As Object, e As RoutedEventArgs) Handles ExitBtn.Click
      DialogResult = False
   End Sub

End Class
